summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/community/network-ups-tools/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra-testing/community/network-ups-tools/run')
-rw-r--r--abs/extra-testing/community/network-ups-tools/run17
1 files changed, 17 insertions, 0 deletions
diff --git a/abs/extra-testing/community/network-ups-tools/run b/abs/extra-testing/community/network-ups-tools/run
new file mode 100644
index 0000000..f549950
--- /dev/null
+++ b/abs/extra-testing/community/network-ups-tools/run
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/upsd`
+
+ stat_runit "Starting UPSd Daemon"
+ /usr/bin/upsdrvctl start &> /dev/null
+ [ -z "$PID" ] && /usr/sbin/upsd -f &>/dev/null
+ /usr/sbin/upsmon &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon upsd
+ stat_done
+ fi